Bug 1008638 - ERROR: The target_update option specified but no old configuration
ERROR: The target_update option specified but no old configuration
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Rob Millner
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-16 13:57 EDT by Rob Millner
Modified: 2015-05-14 19:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-17 09:28:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rob Millner 2013-09-16 13:57:21 EDT
Description of problem:
Running "oo-frontend-plugin-modify --rebuild" after upgrade has the following error:
ERROR: Failed to rebuild frontend for gear: newpysj27 cart: haproxy
ERROR: The target_update option specified but no old configuration: : newpysj27-rmillner0110.dev.rhcloud.com

This persists even if re-run.
Comment 1 openshift-github-bot 2013-09-20 17:45:04 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/48a2df7d7caab1837412e0a8124d3233f2a7fdac
Bug 1008638 - needed a way to force rebuild the framework cart.
Comment 2 Rob Millner 2013-09-20 18:10:10 EDT
To Q/E...

1. Create a bunch of scaled apps
2. Verify apps are reachable
3. oo-frontend-plugin-modify --delete --confirm
4. Verify apps are no longer reachable
5. oofrontend-plugin-modify --rebuild --confirm
6. Verify apps are reachable

Step 5 should not have any errors and step 6 should succeed.
Comment 3 Meng Bo 2013-09-24 06:02:31 EDT
Checked on devenv_3818, the issue was fixed for mod_rewrite plugin.

But when trying to rebuild httpd config for vhost plugin will still get the error as following.

# oo-frontend-plugin-modify --rebuild --confirm
ERROR: Failed to rebuild frontend for gear: jbeap1s cart: jbosseap
ERROR: No such file or directory - /etc/httpd/conf.d/openshift/52415c7d2aa56bb64a000001_bmengdev2_jbeap1s/599999_element-.conf
ERROR: Failed to rebuild frontend for gear: jbeap1s cart: haproxy
ERROR: The target_update option specified but no old configuration: : jbeap1s-bmengdev2.dev.rhcloud.com

After rebuild, only the 
52415c7d2aa56bb64a000001_bmengdev2_jbeap1s.conf can be found under .httpd.d,
but the conf dir does not present.

And the app is not reachable.
Comment 4 Rob Millner 2013-09-24 17:12:31 EDT
The vhost plugin needed an additional step, added in the following pull request:
https://github.com/openshift/origin-server/pull/3698
Comment 5 openshift-github-bot 2013-09-24 22:00:10 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/b0a6259aaa203cca6a217d061c3080306b2011d4
Bug 1008638 - The create step is needed on vhost and other plugins.
Comment 6 Meng Bo 2013-09-25 02:54:00 EDT
Checked on devenv_3824, issue has been fixed.

oo-frontend-plugin-modify --rebuild works will for both mod_rewrite and vhost plugins.

Add app can be accessed after rebuild.

Move bug to verified.

Note You need to log in before you can comment on or make changes to this bug.